## NMSettingWirelessSecurity NMSettingWirelessSecurity |

## Synopsis

    #define             NM_SETTING_WIRELESS_SECURITY_SETTING_NAME
    enum                NMSettingWirelessSecurityError;
    #define             NM_TYPE_SETTING_WIRELESS_SECURITY_ERROR
    #define             NM_SETTING_WIRELESS_SECURITY_ERROR
    GQuark              nm_setting_wireless_security_error_quark
                                                            (void);
    #define             NM_SETTING_WIRELESS_SECURITY_KEY_MGMT
    #define             NM_SETTING_WIRELESS_SECURITY_WEP_TX_KEYIDX
    #define             NM_SETTING_WIRELESS_SECURITY_AUTH_ALG
    #define             NM_SETTING_WIRELESS_SECURITY_PROTO
    #define             NM_SETTING_WIRELESS_SECURITY_PAIRWISE
    #define             NM_SETTING_WIRELESS_SECURITY_GROUP
    #define             NM_SETTING_WIRELESS_SECURITY_LEAP_USERNAME
    #define             NM_SETTING_WIRELESS_SECURITY_WEP_KEY0
    #define             NM_SETTING_WIRELESS_SECURITY_WEP_KEY1
    #define             NM_SETTING_WIRELESS_SECURITY_WEP_KEY2
    #define             NM_SETTING_WIRELESS_SECURITY_WEP_KEY3
    #define             NM_SETTING_WIRELESS_SECURITY_PSK
    #define             NM_SETTING_WIRELESS_SECURITY_LEAP_PASSWORD
                        NMSettingWirelessSecurity;
    GType               nm_setting_wireless_security_get_type
                                                            (void);
    NMSetting*          nm_setting_wireless_security_new    (void);
    const char*         nm_setting_wireless_security_get_key_mgmt
                                                            (NMSettingWirelessSecurity *setting);
    guint32             nm_setting_wireless_security_get_num_protos
                                                            (NMSettingWirelessSecurity *setting);
    const char*         nm_setting_wireless_security_get_proto
                                                            (NMSettingWirelessSecurity *setting,
                                                             guint32 i);
    gboolean            nm_setting_wireless_security_add_proto
                                                            (NMSettingWirelessSecurity *setting,
                                                             const char *proto);
    void                nm_setting_wireless_security_remove_proto
                                                            (NMSettingWirelessSecurity *setting,
                                                             guint32 i);
    void                nm_setting_wireless_security_clear_protos
                                                            (NMSettingWirelessSecurity *setting);
    guint32             nm_setting_wireless_security_get_num_pairwise
                                                            (NMSettingWirelessSecurity *setting);
    const char*         nm_setting_wireless_security_get_pairwise
                                                            (NMSettingWirelessSecurity *setting,
                                                             guint32 i);
    gboolean            nm_setting_wireless_security_add_pairwise
                                                            (NMSettingWirelessSecurity *setting,
                                                             const char *pairwise);
    void                nm_setting_wireless_security_remove_pairwise
                                                            (NMSettingWirelessSecurity *setting,
                                                             guint32 i);
    void                nm_setting_wireless_security_clear_pairwise
                                                            (NMSettingWirelessSecurity *setting);
    guint32             nm_setting_wireless_security_get_num_groups
                                                            (NMSettingWirelessSecurity *setting);
    const char*         nm_setting_wireless_security_get_group
                                                            (NMSettingWirelessSecurity *setting,
                                                             guint32 i);
    gboolean            nm_setting_wireless_security_add_group
                                                            (NMSettingWirelessSecurity *setting,
                                                             const char *group);
    void                nm_setting_wireless_security_remove_group
                                                            (NMSettingWirelessSecurity *setting,
                                                             guint32 i);
    void                nm_setting_wireless_security_clear_groups
                                                            (NMSettingWirelessSecurity *setting);
    const char*         nm_setting_wireless_security_get_psk
                                                            (NMSettingWirelessSecurity *setting);
    const char*         nm_setting_wireless_security_get_leap_username
                                                            (NMSettingWirelessSecurity *setting);
    const char*         nm_setting_wireless_security_get_leap_password
                                                            (NMSettingWirelessSecurity *setting);
    const char*         nm_setting_wireless_security_get_wep_key
                                                            (NMSettingWirelessSecurity *setting,
                                                             guint32 idx);
    void                nm_setting_wireless_security_set_wep_key
                                                            (NMSettingWirelessSecurity *setting,
                                                             guint32 idx,
                                                             const char *key);
    guint32             nm_setting_wireless_security_get_wep_tx_keyidx
                                                            (NMSettingWirelessSecurity *setting);
    const char*         nm_setting_wireless_security_get_auth_alg
                                                            (NMSettingWirelessSecurity *setting);

## Object Hierarchy

      GObject
       +----NMSetting
             +----NMSettingWirelessSecurity

## Properties

      "auth-alg"                 gchararray            : Read / Write
      "key-mgmt"                 gchararray            : Read / Write
      "leap-password"            gchararray            : Read / Write
      "leap-username"            gchararray            : Read / Write
      "psk"                      gchararray            : Read / Write
      "wep-key0"                 gchararray            : Read / Write
      "wep-key1"                 gchararray            : Read / Write
      "wep-key2"                 gchararray            : Read / Write
      "wep-key3"                 gchararray            : Read / Write
      "wep-tx-keyidx"            guint                 : Read / Write / Construct

## Description

## Details

### NM_SETTING_WIRELESS_SECURITY_SETTING_NAME

    #define NM_SETTING_WIRELESS_SECURITY_SETTING_NAME "802-11-wireless-security"

### enum NMSettingWirelessSecurityError

    typedef enum
    {
    	NM_SETTING_WIRELESS_SECURITY_ERROR_UNKNOWN = 0,
    	NM_SETTING_WIRELESS_SECURITY_ERROR_INVALID_PROPERTY,
    	NM_SETTING_WIRELESS_SECURITY_ERROR_MISSING_PROPERTY,
    	NM_SETTING_WIRELESS_SECURITY_ERROR_MISSING_802_1X_SETTING,
    	NM_SETTING_WIRELESS_SECURITY_ERROR_LEAP_REQUIRES_802_1X,
    	NM_SETTING_WIRELESS_SECURITY_ERROR_LEAP_REQUIRES_USERNAME,
    	NM_SETTING_WIRELESS_SECURITY_ERROR_SHARED_KEY_REQUIRES_WEP
    } NMSettingWirelessSecurityError;

### NM_TYPE_SETTING_WIRELESS_SECURITY_ERROR

    #define NM_TYPE_SETTING_WIRELESS_SECURITY_ERROR (nm_setting_wireless_security_error_get_type ())

### NM_SETTING_WIRELESS_SECURITY_ERROR

    #define NM_SETTING_WIRELESS_SECURITY_ERROR nm_setting_wireless_security_error_quark ()

### nm_setting_wireless_security_error_quark ()

    GQuark              nm_setting_wireless_security_error_quark
                                                            (void);

Returns : |

### NM_SETTING_WIRELESS_SECURITY_KEY_MGMT

    #define NM_SETTING_WIRELESS_SECURITY_KEY_MGMT "key-mgmt"

### NM_SETTING_WIRELESS_SECURITY_WEP_TX_KEYIDX

    #define NM_SETTING_WIRELESS_SECURITY_WEP_TX_KEYIDX "wep-tx-keyidx"

### NM_SETTING_WIRELESS_SECURITY_AUTH_ALG

    #define NM_SETTING_WIRELESS_SECURITY_AUTH_ALG "auth-alg"

### NM_SETTING_WIRELESS_SECURITY_PROTO

    #define NM_SETTING_WIRELESS_SECURITY_PROTO "proto"

### NM_SETTING_WIRELESS_SECURITY_PAIRWISE

    #define NM_SETTING_WIRELESS_SECURITY_PAIRWISE "pairwise"

### NM_SETTING_WIRELESS_SECURITY_GROUP

    #define NM_SETTING_WIRELESS_SECURITY_GROUP "group"

### NM_SETTING_WIRELESS_SECURITY_LEAP_USERNAME

    #define NM_SETTING_WIRELESS_SECURITY_LEAP_USERNAME "leap-username"

### NM_SETTING_WIRELESS_SECURITY_WEP_KEY0

    #define NM_SETTING_WIRELESS_SECURITY_WEP_KEY0 "wep-key0"

### NM_SETTING_WIRELESS_SECURITY_WEP_KEY1

    #define NM_SETTING_WIRELESS_SECURITY_WEP_KEY1 "wep-key1"

### NM_SETTING_WIRELESS_SECURITY_WEP_KEY2

    #define NM_SETTING_WIRELESS_SECURITY_WEP_KEY2 "wep-key2"

### NM_SETTING_WIRELESS_SECURITY_WEP_KEY3

    #define NM_SETTING_WIRELESS_SECURITY_WEP_KEY3 "wep-key3"

### NM_SETTING_WIRELESS_SECURITY_PSK

    #define NM_SETTING_WIRELESS_SECURITY_PSK "psk"

### NM_SETTING_WIRELESS_SECURITY_LEAP_PASSWORD

    #define NM_SETTING_WIRELESS_SECURITY_LEAP_PASSWORD "leap-password"

### NMSettingWirelessSecurity

    typedef struct _NMSettingWirelessSecurity NMSettingWirelessSecurity;

### nm_setting_wireless_security_get_type ()

    GType               nm_setting_wireless_security_get_type
                                                            (void);

Returns : |

### nm_setting_wireless_security_new ()

    NMSetting*          nm_setting_wireless_security_new    (void);

Returns : |

### nm_setting_wireless_security_get_key_mgmt ()

    const char*         nm_setting_wireless_security_get_key_mgmt
                                                            (NMSettingWirelessSecurity *setting);

`setting` : |
Returns : |

### nm_setting_wireless_security_get_num_protos ()

    guint32             nm_setting_wireless_security_get_num_protos
                                                            (NMSettingWirelessSecurity *setting);

`setting` : |
Returns : |

### nm_setting_wireless_security_get_proto ()

    const char*         nm_setting_wireless_security_get_proto
                                                            (NMSettingWirelessSecurity *setting,
                                                             guint32 i);

`setting` : |
`i` : |
Returns : |

### nm_setting_wireless_security_add_proto ()

    gboolean            nm_setting_wireless_security_add_proto
                                                            (NMSettingWirelessSecurity *setting,
                                                             const char *proto);

`setting` : |
`proto` : |
Returns : |

### nm_setting_wireless_security_remove_proto ()

    void                nm_setting_wireless_security_remove_proto
                                                            (NMSettingWirelessSecurity *setting,
                                                             guint32 i);

`setting` : |
`i` : |

### nm_setting_wireless_security_clear_protos ()

    void                nm_setting_wireless_security_clear_protos
                                                            (NMSettingWirelessSecurity *setting);

`setting` : |

### nm_setting_wireless_security_get_num_pairwise ()

    guint32             nm_setting_wireless_security_get_num_pairwise
                                                            (NMSettingWirelessSecurity *setting);

`setting` : |
Returns : |

### nm_setting_wireless_security_get_pairwise ()

    const char*         nm_setting_wireless_security_get_pairwise
                                                            (NMSettingWirelessSecurity *setting,
                                                             guint32 i);

`setting` : |
`i` : |
Returns : |

### nm_setting_wireless_security_add_pairwise ()

    gboolean            nm_setting_wireless_security_add_pairwise
                                                            (NMSettingWirelessSecurity *setting,
                                                             const char *pairwise);

`setting` : |
`pairwise` : |
Returns : |

### nm_setting_wireless_security_remove_pairwise ()

    void                nm_setting_wireless_security_remove_pairwise
                                                            (NMSettingWirelessSecurity *setting,
                                                             guint32 i);

`setting` : |
`i` : |

### nm_setting_wireless_security_clear_pairwise ()

    void                nm_setting_wireless_security_clear_pairwise
                                                            (NMSettingWirelessSecurity *setting);

`setting` : |

### nm_setting_wireless_security_get_num_groups ()

    guint32             nm_setting_wireless_security_get_num_groups
                                                            (NMSettingWirelessSecurity *setting);

`setting` : |
Returns : |

### nm_setting_wireless_security_get_group ()

    const char*         nm_setting_wireless_security_get_group
                                                            (NMSettingWirelessSecurity *setting,
                                                             guint32 i);

`setting` : |
`i` : |
Returns : |

### nm_setting_wireless_security_add_group ()

    gboolean            nm_setting_wireless_security_add_group
                                                            (NMSettingWirelessSecurity *setting,
                                                             const char *group);

`setting` : |
`group` : |
Returns : |

### nm_setting_wireless_security_remove_group ()

    void                nm_setting_wireless_security_remove_group
                                                            (NMSettingWirelessSecurity *setting,
                                                             guint32 i);

`setting` : |
`i` : |

### nm_setting_wireless_security_clear_groups ()

    void                nm_setting_wireless_security_clear_groups
                                                            (NMSettingWirelessSecurity *setting);

`setting` : |

### nm_setting_wireless_security_get_psk ()

    const char*         nm_setting_wireless_security_get_psk
                                                            (NMSettingWirelessSecurity *setting);

`setting` : |
Returns : |

### nm_setting_wireless_security_get_leap_username ()

    const char*         nm_setting_wireless_security_get_leap_username
                                                            (NMSettingWirelessSecurity *setting);

`setting` : |
Returns : |

### nm_setting_wireless_security_get_leap_password ()

    const char*         nm_setting_wireless_security_get_leap_password
                                                            (NMSettingWirelessSecurity *setting);

`setting` : |
Returns : |

### nm_setting_wireless_security_get_wep_key ()

    const char*         nm_setting_wireless_security_get_wep_key
                                                            (NMSettingWirelessSecurity *setting,
                                                             guint32 idx);

`setting` : |
`idx` : |
Returns : |

### nm_setting_wireless_security_set_wep_key ()

    void                nm_setting_wireless_security_set_wep_key
                                                            (NMSettingWirelessSecurity *setting,
                                                             guint32 idx,
                                                             const char *key);

`setting` : |
`idx` : |
`key` : |

### nm_setting_wireless_security_get_wep_tx_keyidx ()

    guint32             nm_setting_wireless_security_get_wep_tx_keyidx
                                                            (NMSettingWirelessSecurity *setting);

`setting` : |
Returns : |

### nm_setting_wireless_security_get_auth_alg ()

    const char*         nm_setting_wireless_security_get_auth_alg
                                                            (NMSettingWirelessSecurity *setting);

`setting` : |
Returns : |

## Property Details

### The `"auth-alg"` property

      "auth-alg"                 gchararray            : Read / Write

AuthAlg.

Default value: NULL

### The `"key-mgmt"` property

      "key-mgmt"                 gchararray            : Read / Write

Key management.

Default value: NULL

### The `"leap-password"` property

      "leap-password"            gchararray            : Read / Write

LEAP Password.

Default value: NULL

### The `"leap-username"` property

      "leap-username"            gchararray            : Read / Write

LEAP Username.

Default value: NULL

### The `"psk"` property

      "psk"                      gchararray            : Read / Write

PSK.

Default value: NULL

### The `"wep-key0"` property

      "wep-key0"                 gchararray            : Read / Write

WEP key0.

Default value: NULL

### The `"wep-key1"` property

      "wep-key1"                 gchararray            : Read / Write

WEP key1.

Default value: NULL

### The `"wep-key2"` property

      "wep-key2"                 gchararray            : Read / Write

WEP key2.

Default value: NULL

### The `"wep-key3"` property

      "wep-key3"                 gchararray            : Read / Write

WEP key3.

Default value: NULL

### The `"wep-tx-keyidx"` property

      "wep-tx-keyidx"            guint                 : Read / Write / Construct

WEP TX key index.

Allowed values: <= 3

Default value: 0